package com.jeeplus.modules.supply.particulars.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 超欠供明细表
 * @author: 徐滕
 * @create: 2022-03-02 10:08
 **/
public class SupplyParticulars extends DataEntity<SupplyParticulars> {
    private String batch;                    //varchar(255) 批次（出库单I列）
    private String materialNumber;           //varchar(255) 物料编码（出库单G列关联物料库得到）
    private String materialDescription;      //varchar(255) 材料描述（出库单G列关联物料库得到）
    private String unit;                     //varchar(255) 计量单位（出库单J列关联物料库得到）
    private String actualQuantityIssued;     //varchar(255) 实发数量(出库单K列实发数量)
    private String  examineCount;            //varchar(255) 审定数量(审定单D列审定数量  保留三位小数)
    private String  supplyCount;             //varchar(255) 超（欠）供数量(领用数量-实际耗用数量	当值为0时，显示‘-’)
    private String unitPrice;                //varchar(255) 单价(出库单L列单价	当只有审定数量没有实发数量时，单价另外处理)
    private String  supplyMoney;             //varchar(255) 超（欠）供金额(超欠供数量*材料单价)
    //当超欠供数量不为0时，该单元格出现下拉框
    //1.置换
    //2.核减施工费
    //3.欠供不在发生
    //4.退料
    //5.欠供转乙供
    //6.欠供补领
    private String  commodityHandleTenet;    //varchar(255) 商定处理原则（退料或抵扣工程价款）
    private String  planMoney;               //varchar(255) 计划列入工程投资的物资金额(审定数量*单价	金额保留2位小数)
    //出库数*单价
    //当出现超欠供时，若商定处理原则选1、2、3、5则本单元格值为出库数*单价
    //若商定处理原则选4、6时则本单元格值为审定数*单价
    private String  practicalMoney;          //varchar(255) 实际列入工程投资的物资金额
    private String  supplyReason;            //varchar(255) 超（欠）供原因
    private String remarks;	                 // 备注


    private String projectDefinition;       //varchar(255) 项目定义号
    private String submittalsId;            //varchar(255) 送审id
    private String materialsType;            //varchar(255) 材料类型
    private String index;
    private String flag;
    private String showType;


    @ExcelField(title="批次", align=2, sort=1)
    public String getBatch() {
        return batch;
    }

    public String getMaterialNumber() {
        return materialNumber;
    }

    @ExcelField(title="材料名称", align=2, sort=2)
    public String getMaterialDescription() {
        return materialDescription;
    }

    @ExcelField(title="计量单位", align=2, sort=3)
    public String getUnit() {
        return unit;
    }

    @ExcelField(title="实发数量", align=2, sort=4)
    public String getActualQuantityIssued() {
        return actualQuantityIssued;
    }

    @ExcelField(title="审定数量", align=2, sort=5)
    public String getExamineCount() {
        return examineCount;
    }

    @ExcelField(title="超（欠）供数量", align=2, sort=6)
    public String getSupplyCount() {
        return supplyCount;
    }

    @ExcelField(title="单价", align=2, sort=7)
    public String getUnitPrice() {
        return unitPrice;
    }

    @ExcelField(title="超（欠）供金额", align=2, sort=8)
    public String getSupplyMoney() {
        return supplyMoney;
    }

    @ExcelField(title="商定处理原则", align=2, sort=9)
    public String getCommodityHandleTenet() {
        return commodityHandleTenet;
    }

    @ExcelField(title="计划列入工程投资的物资金额", align=2, sort=10)
    public String getPlanMoney() {
        return planMoney;
    }

    @ExcelField(title="实际列入工程投资的物资金额", align=2, sort=11)
    public String getPracticalMoney() {
        return practicalMoney;
    }

    @ExcelField(title="超（欠）供原因", align=2, sort=12)
    public String getSupplyReason() {
        return supplyReason;
    }

    @Override
    @ExcelField(title="备注", align=2, sort=13)
    public String getRemarks() {
        return remarks;
    }

    public void setBatch(String batch) {
        this.batch = batch;
    }

    public void setMaterialNumber(String materialNumber) {
        this.materialNumber = materialNumber;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public void setActualQuantityIssued(String actualQuantityIssued) {
        this.actualQuantityIssued = actualQuantityIssued;
    }

    public void setExamineCount(String examineCount) {
        this.examineCount = examineCount;
    }

    public void setSupplyCount(String supplyCount) {
        this.supplyCount = supplyCount;
    }

    public void setUnitPrice(String unitPrice) {
        this.unitPrice = unitPrice;
    }

    public void setSupplyMoney(String supplyMoney) {
        this.supplyMoney = supplyMoney;
    }

    public void setCommodityHandleTenet(String commodityHandleTenet) {
        this.commodityHandleTenet = commodityHandleTenet;
    }

    public void setPlanMoney(String planMoney) {
        this.planMoney = planMoney;
    }

    public void setPracticalMoney(String practicalMoney) {
        this.practicalMoney = practicalMoney;
    }

    public void setSupplyReason(String supplyReason) {
        this.supplyReason = supplyReason;
    }

    @Override
    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getProjectDefinition() {
        return projectDefinition;
    }

    public void setProjectDefinition(String projectDefinition) {
        this.projectDefinition = projectDefinition;
    }

    public String getSubmittalsId() {
        return submittalsId;
    }

    public void setSubmittalsId(String submittalsId) {
        this.submittalsId = submittalsId;
    }

    public String getMaterialsType() {
        return materialsType;
    }

    public void setMaterialsType(String materialsType) {
        this.materialsType = materialsType;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public String getFlag() {
        return flag;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getShowType() {
        return showType;
    }

    public void setShowType(String showType) {
        this.showType = showType;
    }
}
